com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_Gen2_RxFilter

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_Gen2_RxFilter
  - - com.unitech.stuhfl.STUHFL_T_ST25RU3993_Gen2_RxFilter

-     public class STUHFL_T_ST25RU3993_Gen2_RxFilter
      extends BR_ST25RU3993_Gen2_RxFilter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_Gen2_RxFilter

      `BR_ST25RU3993_Gen2_RxFilter.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `STUHFL_E.GEN2_BLF` | `blf`
    `STUHFL_E.GEN2_CODING` | `coding` < I Param: Link Frequency for which HP/LP values shall be applied
    `byte` | `value` < I Param: Coding for which HP/LP values shall be applied

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_ST25RU3993_Gen2_RxFilter()`
    `STUHFL_T_ST25RU3993_Gen2_RxFilter(STUHFL_E.GEN2_BLF blf, STUHFL_E.GEN2_CODING coding, byte value)`
    `STUHFL_T_ST25RU3993_Gen2_RxFilter(STUHFL_T_ST25RU3993_Gen2_RxFilter other)` < I/O Param: RX filter value

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `commit()` Set reader Rx Filter configuration for Gen2 config
    `STUHFL_E.RET_CODE` | `fetch()` Get reader Rx Filter configuration for Gen2 config
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_Gen2_RxFilter

      `_Get_Gen2_RxFilter, _Set_Gen2_RxFilter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### blf

          public STUHFL_E.GEN2_BLF blf

    - #### coding

          public STUHFL_E.GEN2_CODING coding

      < I Param: Link Frequency for which HP/LP values shall be applied

    - #### value

          public byte value

      < I Param: Coding for which HP/LP values shall be applied

  - ### Constructor Detail

    - #### STUHFL_T_ST25RU3993_Gen2_RxFilter

          public STUHFL_T_ST25RU3993_Gen2_RxFilter(STUHFL_T_ST25RU3993_Gen2_RxFilter other)

      < I/O Param: RX filter value

    - #### STUHFL_T_ST25RU3993_Gen2_RxFilter

          public STUHFL_T_ST25RU3993_Gen2_RxFilter(STUHFL_E.GEN2_BLF blf,
                                                   STUHFL_E.GEN2_CODING coding,
                                                   byte value)

    - #### STUHFL_T_ST25RU3993_Gen2_RxFilter

          public STUHFL_T_ST25RU3993_Gen2_RxFilter()

  - ### Method Detail

    - #### commit

          public STUHFL_E.RET_CODE commit()

      Set reader Rx Filter configuration for Gen2 config
      Returns:
        error code

    - #### fetch

          public STUHFL_E.RET_CODE fetch()

      Get reader Rx Filter configuration for Gen2 config
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`